"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminAuthorizationModule = void 0;
const admin_permission_controller_1 = require("./permission/admin-permission.controller");
const admin_permission_service_1 = require("./permission/admin-permission.service");
const admin_role_controller_1 = require("./role/admin-role.controller");
const admin_role_service_1 = require("./role/admin-role.service");
const common_1 = require("@nestjs/common");
let AdminAuthorizationModule = class AdminAuthorizationModule {
};
AdminAuthorizationModule = __decorate([
    (0, common_1.Module)({
        controllers: [admin_role_controller_1.AdminRoleController, admin_permission_controller_1.AdminPermissionController],
        providers: [admin_role_service_1.AdminRoleService, admin_permission_service_1.AdminPermissionService],
        exports: [admin_role_service_1.AdminRoleService, admin_permission_service_1.AdminPermissionService],
    })
], AdminAuthorizationModule);
exports.AdminAuthorizationModule = AdminAuthorizationModule;
//# sourceMappingURL=admin-authorization.module.js.map