"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateAdminRoleInput = exports.AdminPermissionsUpdateNested = void 0;
const create_admin_role_input_1 = require("./create-admin-role.input");
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
class AdminPermissionsUpdateNested {
}
__decorate([
    (0, swagger_1.ApiProperty)({ required: false, isArray: true, type: create_admin_role_input_1.AdminPermissionId }),
    (0, class_validator_1.ValidateNested)({ each: true }),
    (0, class_validator_1.IsArray)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Type)(() => create_admin_role_input_1.AdminPermissionId),
    __metadata("design:type", Array)
], AdminPermissionsUpdateNested.prototype, "set", void 0);
exports.AdminPermissionsUpdateNested = AdminPermissionsUpdateNested;
let UpdateAdminRoleInput = class UpdateAdminRoleInput extends (0, swagger_1.PartialType)((0, swagger_1.OmitType)(create_admin_role_input_1.CreateAdminRoleInput, ['permissions'])) {
};
__decorate([
    (0, swagger_1.ApiProperty)({ required: true }),
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => AdminPermissionsUpdateNested),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", AdminPermissionsUpdateNested)
], UpdateAdminRoleInput.prototype, "permissions", void 0);
UpdateAdminRoleInput = __decorate([
    (0, class_transformer_1.Expose)()
], UpdateAdminRoleInput);
exports.UpdateAdminRoleInput = UpdateAdminRoleInput;
//# sourceMappingURL=update-admin-role.input.js.map