"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminPermissionDto = void 0;
const dto_1 = require("../../role/dto");
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
class AdminPermissionDto {
}
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], AdminPermissionDto.prototype, "id", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], AdminPermissionDto.prototype, "action", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true, nullable: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], AdminPermissionDto.prototype, "subject", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'object', required: true, nullable: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], AdminPermissionDto.prototype, "properties", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'object', required: true, nullable: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], AdminPermissionDto.prototype, "conditions", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'boolean', required: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Boolean)
], AdminPermissionDto.prototype, "isSystem", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], AdminPermissionDto.prototype, "createdAt", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], AdminPermissionDto.prototype, "updatedAt", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true, nullable: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], AdminPermissionDto.prototype, "createdById", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true, nullable: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], AdminPermissionDto.prototype, "updatedById", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true, nullable: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], AdminPermissionDto.prototype, "createdByUsername", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true, nullable: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], AdminPermissionDto.prototype, "updatedByUsername", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: () => dto_1.AdminRoleDto, required: true, isArray: true }),
    (0, class_transformer_1.Expose)(),
    (0, class_transformer_1.Type)(() => dto_1.AdminRoleDto),
    __metadata("design:type", Array)
], AdminPermissionDto.prototype, "roles", void 0);
exports.AdminPermissionDto = AdminPermissionDto;
//# sourceMappingURL=admin-permission.dto.js.map