"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateAdminRoleInput = exports.AdminPermissionsCreateNested = exports.AdminPermissionId = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
class AdminPermissionId {
}
__decorate([
    (0, swagger_1.ApiProperty)({ required: true }),
    (0, class_validator_1.IsUUID)(),
    (0, class_validator_1.IsNotEmpty)(),
    __metadata("design:type", String)
], AdminPermissionId.prototype, "id", void 0);
exports.AdminPermissionId = AdminPermissionId;
class AdminPermissionsCreateNested {
}
__decorate([
    (0, swagger_1.ApiProperty)({ required: false, isArray: true, type: AdminPermissionId }),
    (0, class_validator_1.ValidateNested)({ each: true }),
    (0, class_validator_1.IsArray)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Type)(() => AdminPermissionId),
    __metadata("design:type", Array)
], AdminPermissionsCreateNested.prototype, "connect", void 0);
exports.AdminPermissionsCreateNested = AdminPermissionsCreateNested;
let CreateAdminRoleInput = class CreateAdminRoleInput {
};
__decorate([
    (0, swagger_1.ApiProperty)({ required: true }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsNotEmpty)(),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], CreateAdminRoleInput.prototype, "name", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ required: true }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsNotEmpty)(),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], CreateAdminRoleInput.prototype, "code", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ required: false }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], CreateAdminRoleInput.prototype, "description", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ required: true }),
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => AdminPermissionsCreateNested),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", AdminPermissionsCreateNested)
], CreateAdminRoleInput.prototype, "permissions", void 0);
CreateAdminRoleInput = __decorate([
    (0, class_transformer_1.Expose)()
], CreateAdminRoleInput);
exports.CreateAdminRoleInput = CreateAdminRoleInput;
//# sourceMappingURL=create-admin-role.input.js.map